Data Structures | Macros | Typedefs
gtkblist-theme-loader.h File Reference

Pidgin Buddy List Theme Loader Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme-loader.h"`

Go to the source code of this file.

## Data Structures
struct | _PidginBlistThemeLoader
struct | _PidginBlistThemeLoaderClass

## Macros
#define | PIDGIN_TYPE_BLIST_THEME_LOADER (pidgin_blist_theme_loader_get_type ())
#define | PIDGIN_BLIST_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIDGIN_TYPE_BLIST_THEME_LOADER, PidginBlistThemeLoader))
#define | PIDGIN_BLIST_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PIDGIN_TYPE_BLIST_THEME_LOADER, PidginBlistThemeLoaderClass))
#define | PIDGIN_IS_BLIST_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIDGIN_TYPE_BLIST_THEME_LOADER))
#define | PIDGIN_IS_BLIST_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIDGIN_TYPE_BLIST_THEME_LOADER))
#define | PIDGIN_BLIST_THEME_LOADER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PIDGIN_TYPE_BLIST_THEME_LOADER, PidginBlistThemeLoaderClass))

## Typedefs
typedef struct _PidginBlistThemeLoader | PidginBlistThemeLoader
| A pidgin buddy list theme loader. More...
typedef struct _PidginBlistThemeLoaderClass | PidginBlistThemeLoaderClass

## Functions
Buddy List Theme-Loader API
G_BEGIN_DECLS GType | pidgin_blist_theme_loader_get_type (void)
| GObject foo.

## Detailed Description

Pidgin Buddy List Theme Loader Class API.

Definition in file gtkblist-theme-loader.h.

## Typedef Documentation

## ◆ PidginBlistThemeLoader

typedef struct _PidginBlistThemeLoader PidginBlistThemeLoader

A pidgin buddy list theme loader.

extends PurpleThemeLoader (theme-loader.h) This is a class designed to build sound themes

PidginBlistThemeLoader is a GObject.

Definition at line 39 of file gtkblist-theme-loader.h.